Bug 234212 - REGRESSION (r283546): Scrolls up when clicking Discourse account
Summary: REGRESSION (r283546): Scrolls up when clicking Discourse account
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: Safari Technology Preview
Hardware: Mac (Intel) macOS 12
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-12-12 12:01 PST by Jon
Modified: 2022-01-04 08:14 PST (History)
4 users (show)

See Also:


Attachments
Video of the issue (11.26 MB, video/quicktime)
2021-12-12 12:01 PST, Jon
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jon 2021-12-12 12:01:43 PST
Created attachment 446939 [details]
Video of the issue

On all Discourse sites, when clicking on the account image, which typically shows the various account options, it instead flashes the options view and then scrolls up. Repeated clicking will eventually scroll up the entire thread and then properly show the account options. This occurs on all of the Discourse sites I've tested. A video is attached. It seemed to start about a month ago, so perhaps STP 132 or 130. Regular Safari works fine on the same sites.
Comment 1 Radar WebKit Bug Importer 2021-12-13 10:25:47 PST
<rdar://problem/86419885>
Comment 2 Simon Fraser (smfr) 2021-12-23 19:38:16 PST
Regressed at https://trac.webkit.org/changeset/283546
Comment 3 Martin Robinson 2022-01-04 08:14:45 PST
Reverted in bug 234844 and confirmed that this is now fixed. I will work on re-implementing the reverted behavior without the bug.